import Control.Monad.State
import Mandelbrot

render :: [[ Char ]]
render = map (map evalPoint) grid
  where
    evalPoint z = evalState (mandelbrot z) (0,(0.0,0.0))

main :: IO()
main = do
    mconcat $ putStrLn <$> render
